Savings Plan Order - Elevate
Elevate as owner on savings plan order based on billing permissions.
POST https://management.azure.com/providers/Microsoft.BillingBenefits/savingsPlanOrders/{savingsPlanOrderId}/elevate?api-version=2026-06-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
savings
|
path | True |
string |
Order ID of the savings plan |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
SavingsPlanOrderElevate
Sample request
POST https://management.azure.com/providers/Microsoft.BillingBenefits/savingsPlanOrders/20000000-0000-0000-0000-000000000000/elevate?api-version=2026-06-01
Sample response
{
"name": "70000000-0000-0000-0000-000000000005",
"id": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/20000000-0000-0000-0000-000000000009/providers/Microsoft.Authorization/roleAssignments/70000000-0000-0000-0000-000000000005",
"properties": {
"principalId": "50000000-0000-0000-0000-000000000000",
"roleDefinitionId": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/20000000-0000-0000-0000-000000000009/providers/Microsoft.Authorization/roleDefinitions/30000000-0000-0000-0000-000000000008",
"scope": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/20000000-0000-0000-0000-000000000009"
}
}
Definitions
| Name | Description |
|---|---|
|
Error |
The resource management error additional info. |
|
Error |
The error detail. |
|
Error |
Error response |
|
Role |
Role assignment entity |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
RoleAssignmentEntity
Role assignment entity
| Name | Type | Description |
|---|---|---|
| id |
string |
Role assignment entity id |
| name |
string |
Role assignment entity name |
| properties.principalId |
string |
Principal Id |
| properties.roleDefinitionId |
string |
Role definition id |
| properties.scope |
string |
Scope of the role assignment entity |